package com.logicbig.example;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.core.io.Resource;
import org.springframework.core.io.ResourceLoader;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import java.time.LocalTime;

@Controller
@RequestMapping("/")
public class MyController {
    @Autowired
    private ResourceLoader resourceLoader;

    @GetMapping("/")
    public String javaTutorial(Model model) {
        Resource resource = resourceLoader.getResource("classpath:employees.xml");
        model.addAttribute("employees", resource);
        return "employees";
    }
}